Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Interface ModeShapeRoles

    public interface ModeShapeRoles

ModeShape currently defines three roles: `readonly`, `readwrite`, and `admin`. If the `Credentials`; passed into `Repository.login(Credentials)` (or the `Subject` from the `AccessControlContext`, if one of the no-credential `login(...)` methods are used) have any of these roles, the session will have the corresponding access to all workspaces within the repository.

The mapping from the roles to the actions that they allow is provided below, for any values of `path`.

### Role / Action Mapping

Action Name | readonly | readwrite | admin
read | Allows | Allows | Allows
add_node |  | Allows | Allows
set_property |  | Allows | Allows
remove |  | Allows | Allows
register_namespace |  |  | Allows
register_type |  |  | Allows
unlock_any |  |  | Allows
create_workspace |  |  | Allows
delete_workspace |  |  | Allows

Field Summary
`static String` | `ADMIN` Constant containing the "admin" role name.
`static String` | `CONNECT` Constant containing the "connect" role name.
`static String` | `READONLY` Constant containing the "readonly" role name.
`static String` | `READWRITE` Constant containing the "readwrite" role name.

Field Detail

### READONLY

    static final String READONLY

  Constant containing the "readonly" role name.

  See Also:
    Constant Field Values

### READWRITE

    static final String READWRITE

  Constant containing the "readwrite" role name.

  See Also:
    Constant Field Values

### ADMIN

    static final String ADMIN

  Constant containing the "admin" role name.

  See Also:
    Constant Field Values

### CONNECT

    static final String CONNECT

  Constant containing the "connect" role name.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.